Ubuntu

Skype video freezes right after few first frames

Reported by Igor on 2012-04-18
116
This bug affects 22 people
Affects Status Importance Assigned to Milestone
libv4l (Ubuntu)
Undecided
Unassigned

Bug Description

When video call starts in skype, local user video freeze after few frames.
Same picture freeze happens when "test" pressed in options->video devices
Same hardware/configuration worked properly right after upgrade to 12.04 beta 2 and problem appeared after yesterday's update.

skype version 2.2.0.35 32 bit, installed from partner's repository.
video - 046d:089d Logitech QuickCam E2500

I can use same webcam with cheese.

Igor (xrevolver) on 2012-04-18
summary: - skype video freezes right after few first frames (Ubuntu 12.04 RC2)
+ skype video freezes right after few first frames (Ubuntu 12.04 beta 2)
Igor (xrevolver) on 2012-04-18
description: updated

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in skype (Ubuntu):
status: New → Confirmed
Michael Murphy (overwrought) wrote :

Skype video is completely unusable on this first day of 12.04's official release. This invariably happens about 30 seconds into a call. Unlike the OP's experience, it does *not* happen to me when I press 'Test' in Options > Video.
Cam: 046d:08d7 Logitech, Inc. QuickCam Communicate STX
32-bit from repository
Skype started with: export LD_PRELOAD=/usr/lib/i386-linux-gnu/libv4l/v4l2convert.so; skype

Valery Frolov (fvg) wrote :

Same issue with "046d:0819 Logitech, Inc. Webcam C210"
Video halts after 30-40 sec.

Roman Pach (romph) wrote :

Same problem with

Ubuntu 12.04
Linux linux7 3.2.0-24-generic #37-Ubuntu SMP Wed Apr 25 08:43:52 UTC 2012 i686 i686 i386 GNU/Linux
ID 046d:08a2 Logitech, Inc. Labtec Webcam Pro

Video halts after 30-40 sec.

Igor (xrevolver) on 2012-05-06
summary: - skype video freezes right after few first frames (Ubuntu 12.04 beta 2)
+ skype video freezes right after few first frames (Ubuntu 12.04 LTS)

Same issue: Thinkpad T61, 32 bit 12.04 LTS fresh install, intel grafic X3100, webcam "microsoft LifeCam VX-5000"

Same happens to me, even with cheese.

lucge (luc-loiseau) wrote :

Same problem for me with 32bit ubuntu 12.04LTS
My webcam is: "046d:08d9 Logitech, Inc. QuickCam IM/Connect"
Video is OK in Cheese and Skype option test menu, but when using during a call, after 20-30s, images becomes darker, the webcam seems to disconnect (Led flashing) and then the video freeze.
On the same hardware config, no such problem when running skype on new 32 bits Fedora 17 beta?

robert (robert-kiwanuka) wrote :

Almost same problem with 32bit ubuntu 12.04LTS.
Skype starts well and I can send text-chat without a problem. But if I attempt a call (whether echo test or to another user) skype freezes and the rest of the computer follows. The hard drive light shows that it is working very hard but nothing moves - not even a mouse! This state is maintained for as long as I can wait before forcibly shutting down with the power button! Maximum I've waited is about 20 minutes before forcing the computer off. I'm using a built-in webcam which always worked fine till I upgraded to 12.04LTS.

$uname -a
Linux <> 3.2.0-24-generic #39-ubuntu SMP Mon May 21 16:51:22 UTC 2012 i686 i686 i386 GNU/Linux

papukaija (papukaija) on 2012-06-14
tags: added: precise
summary: - skype video freezes right after few first frames (Ubuntu 12.04 LTS)
+ Skype video freezes right after few first frames
lucge (luc-loiseau) wrote :

Test with Skype 4.0: Now I don't need to preload compat libraries, but still the same problem with the video!
Works perfectly with fedora 17

To Do (entodoays) wrote :

I have the same problem with Ubuntu 12.04 32-bit; Skype 2.2 and 4.0; Logitech chat webcam (detected as Logitech Messanger).
The problem doesn't occur in testing, nor in Cheese. Google talk works fine with the same webcam.
Tried tweaking various settings with the V4L control panel and nothing worked.
Symptoms exactly as in post #7 above except that it freezes much earlier than 20s, it's more like 5 to 10 seconds.

To Do (entodoays) wrote :

Some more information.

My webcam is a Logitech Quickcam chat which according to https://wiki.archlinux.org/index.php/Webcam_Setup#Identify_your_webcam had a product number 046d:08a3.

lsusb detects "ID 046d:08da Logitech, Inc. QuickCam Messanger"

V4L Universal control panel says that the driver used is zc3xx. The website above says that both the Logitech QC messenger and chat should work with the gspca driver. Is there a way to "force" v4l or skype to use this driver instead?

here the same 12.04 32 bit
Linux 3.2.0-26-generic-pae #41-Ubuntu SMP Thu Jun 14 16:45:14 UTC 2012 i686 i686 i386 GNU/Linux

with logitec web cam

lucge (luc-loiseau) wrote :

I install linux kernel 3.4.0-5 from ppa xorg-edgers on ubuntu 12.04.
Skype 4.0 works fine now with ubuntu.
(note: kernel 3.5 from the same ppa xorg-edgers does not work on my configuration)

wvarner (winshipvarner) wrote :

I was experiencing the same problem with the program 'motion', and researching the web I found this little tidbit that solved the problem for me.

"I finally managed to solve this issue by adding my user to the 'video' group...
Code:
sudo adduser <myuser> video"

source: http://ubuntuforums.org/showpost.php?p=7986190&postcount=16

aizquier (aizquier) wrote :

I have the same problem for any application that uses the webcam, including skype and googletalk. Apparently it is a problem with the gspca driver. Whe the problem is present dmesg reports:

[19245.046799] gspca: bandwidth not wide enough - trying again

some ubuntu versions ago, the driver was spca5xx, which worked fine. Some people argue that the solution is in installing a new (probably unofficial) kernel version. What could be the compilation flags that are creating the problem in the official kernels??

aizquier (aizquier) wrote :

I achieved to make the camera work using WindowsXP under VirtualBox, using the native Logitech drivers. At least Google talk works without problems using an external microphone and not the one included in the camera (when activated, the camera froze and the microphone worked, then the opposite, and so they kept alternating). This is an ugly and inelegant workaround, I think, but enough if you are in a rush.

Ok to know if this is a dup of bug 918176 we need to know if the video works well with other applications (eg like Cheese)

Changed in skype (Ubuntu):
status: Confirmed → Incomplete
Igor (xrevolver) wrote :

As mentioned in bug description, only skype is problematic. Cheese or VLC are working perfect.

Changed in skype (Ubuntu):
status: Incomplete → Confirmed
Andrew Gee (ahg-e) wrote :

I encountered this bug and, with the much-appreciated help of Hans de Goede, managed to fix it within the stock 12.04 kernel by cherry-picking some patches from the gspca git tree. I went here

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=history;f=drivers/media/video/gspca/zc3xx.c

and applied all the patches up to and including

[media] gspca_zc3xx: Disable the highest quality setting

but skipping over

[media] gspca: Fix locking issues related to suspend

This compiled and inserted without problems in the stock 12.04 kernel, and fixed the bug I was seeing with Skype. Maybe the Ubuntu maintainers will consider a backport?

Andrew Gee (ahg-e) wrote :

I spoke too soon - the backported driver updates certainly helped, but I have now realised that Skype was only working with an external analogue microphone. When asked to use the webcam's built-in microphone, I was back to freezing images - unless I defocussed the images, in which case it worked! Some bandwidth issues then .... Hans was once again very helpful, and correctly suggested

   This sounds like your setup has an usb-2.0 hub between the
   camera and the root-hub (*). This means that you either have a
   intel sandybridge machihine, where such a hub is integrated
   into the chipset, or you have put a hub in between yourself.

   *) Unfortunately the linux EHCI scheduling code deals poorly
   with multiple isoc stream to a USB-1 device attached through a
   USB-2 hub.

This was indeed the problem - I have a Sandybridge chipset. Apparently there are no known workarounds (apart from making sure your webcam is not a USB-1 device, or using an external microphone). My best guess is that the bug reports relating to "skype only, other apps work fine" are probably better labelled as "combined video and audio from the same USB-1 device only, video only apps work fine".

bowser (bwbernard-wong1) wrote :

It is very strange. It seems that the freeze almost always only happens when it is dim (weak light in the room). Same problem in Fedora 17 too.

TimGS (timspe) wrote :

I had the same problem (Xubuntu 12.04, 32bit, on Thinkpad T42).

Installing kernel 3.4.0 from http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-precise/ appears to be a workaround.

-- Tim.

To Do (entodoays) wrote :

Tim did you install the kernel and the headers file too?

Tom Schönlau (joyce-666) wrote :

12.04 64bit
ID 046d:08d9 Logitech, Inc. QuickCam IM/Connect
Skype 4.0.0.8
Same problem here. Video seems to work better with good lightning. I think with lower light, the camera changes the framerate. After some time the video freezes. I already had this problem on 11.10.

Same issue on VLC! Video is getting choppier over time and finaly freezes.

Tom

Tom Schönlau (joyce-666) wrote :
Download full text (3.2 KiB)

This is the output from mplayer. Getting slower till frame 582 and than "v4l2: select timeout" messages appear every second :

tom@neo:~$ mplayer tv://dev/video0
MPlayer svn r34540 (Ubuntu), built with gcc-4.6 (C) 2000-2012 MPlayer Team
mplayer: could not connect to socket
mplayer: No such file or directory
Failed to open LIRC support. You will not be able to use your remote control.

Playing tv://dev/video0.
The filename option must be an integer: video0
Struct tv, field filename parsing error: video0
TV file format detected.
Selected driver: v4l2
 name: Video 4 Linux 2 input
 author: Martin Olschewski <email address hidden>
 comment: first try, more to come ;-)
v4l2: your device driver does not support VIDIOC_G_STD ioctl, VIDIOC_G_PARM was used instead.
Selected device: USB Camera (046d:08d9)
 Capabilities: video capture read/write streaming
 supported norms:
 inputs: 0 = zc3xx;
 Current input: 0
 Current format: unknown (0x4745504a)
tv.c: norm_from_string(pal): Bogus norm parameter, setting default.
v4l2: ioctl enum norm failed: Inappropriate ioctl for device
Error: Cannot set norm!
Selected input hasn't got a tuner!
v4l2: ioctl set mute failed: Invalid argument
v4l2: ioctl query control failed: Invalid argument
v4l2: ioctl query control failed: Invalid argument
==========================================================================
Opening video decoder: [ffmpeg] FFmpeg's libavcodec codec family
libavcodec version 53.35.0 (external)
Mismatching header version 53.32.2
Selected video codec: [ffmjpeg] vfm: ffmpeg (FFmpeg MJPEG)
==========================================================================
Audio: no sound
Starting playback...
Could not find matching colorspace - retrying with -vf scale...
Opening video filter: [scale]
Movie-Aspect is undefined - no prescaling applied.
[swscaler @ 0x7f6706665120]using unscaled yuv422p -> yuyv422 special converter
VO: [vdpau] 640x480 => 640x480 Packed YUY2
V: 0.0 582/582 ??% ??% ??,?% 0 0
v4l2: select timeout
V: 0.0 584/584 ??% ??% ??,?% 0 0
v4l2: select timeout
V: 0.0 586/586 ??% ??% ??,?% 0 0
v4l2: select timeout
V: 0.0 588/588 ??% ??% ??,?% 0 0
v4l2: select timeout
V: 0.0 590/590 ??% ??% ??,?% 0 0
v4l2: select timeout
V: 0.0 592/592 ??% ??% ??,?% 0 0
v4l2: select timeout
V: 0.0 594/594 ??% ??% ??,?% 0 0
v4l2: select timeout
V: 0.0 596/596 ??% ??% ??,?% 0 0
v4l2: select timeout
V: 0.0 598/598 ??% ??% ??,?% 0 0
v4l2: select timeout
V: 0.0 599/599 ??% ??% ??,?% 0 0
v4l2: select timeout
V: 0.0 601/601 ??% ??% ??,?% 0 0
v4l2: select timeout
V: 0.0 603/603 ??% ??% ??,?% 0 0
v4l2: select timeout
V: 0.0 605/605 ??% ??% ??,?% 0 0
v4l2: select timeout
V: 0.0 607/607 ??% ??% ??,?% 0 0
v4l2: select timeout
V: 0.0 609/609 ??% ??% ??,?% 0 0
v4l2: select timeout
V: 0.0 611/611 ??% ??% ??,?% 0 0
v4l2: select timeout
V: 0.0 613/613 ??% ??% ??,?% 0 0
v4l2: select timeout
V: 0.0 615/615 ??% ??% ??,?% 0 0
v4l2: select timeout

MPlayer interrupted by signal 2 in module: video_read_frame
V: 0.0 616/616 ??% ??% ??,?% 0 0
v4l2: select timeout
v4l2: ioctl set mute failed: Invalid argument
v4l2: 578 frames successfully processed, 2612 frames dropped...

Read more...

So it could be a libv4l issue

no longer affects: libv4l

reassigning

affects: skype (Ubuntu) → libv4l (Ubuntu)

On Thu, Aug 02, 2012 at 08:47:12PM -0000, Tom Schönlau wrote:
> 12.04 64bit
> ID 046d:08d9 Logitech, Inc. QuickCam IM/Connect
> Skype 4.0.0.8
> Same problem here. Video seems to work better with good lightning. I think with lower light, the camera changes the framerate. After some time the video freezes. I already had this problem on 11.10.

> Same issue on VLC! Video is getting choppier over time and finaly
> freezes.

If you're seeing this same problem with VLC, then that's clearly not a skype
bug. I would suggest filing a bug report against the kernel.

To Do (entodoays) wrote :

I tested VLC with my Logitech quickcam messenger and I don't have the same problem. It works perfectly.

Tom Schönlau (joyce-666) wrote :

I tested again. The Problem only occurs und low light conditions. The Logitech kann lower the framerate incrasing the shuttertime. It simply seems not to be limited, how low the framerate can go. Under light conditions I can darken the lens with my hand and after a few moments the framerate will lock to zero. If you pulled the hand away early enough the camera slowly increases framerate again.

To Do (entodoays) wrote :

I finally seetled to install the 3.4.0 kernel and the problem is solved, but I'm not so keen to use a non-official kernel. I hope there are no security risks.

Moshe Brace (mbrace7) wrote :

I sometimes wonder whether someone who really needs Skype should actually install Ubuntu 64 Bit but 32 Bit. I have a feeling that somewhere along the line 64 Bit Ubuntu isn't quite as good as 32 Bit. It's a shame as newer computers are now 64 Bit. It's not only Skype freezing, but Cheese won't work at all. Cheese crashes the moment I click on it in the Applications menu.

Regarding GoogleChat the video does work OK however I cannot set it to use my Logitech Web Cam which Skype picks up on Camera /Dev/Dev2. Having two cameras it picks up on the older Webcam using the GSPCA Main Driver. GoogleChat does not list Camera /Dev/Dev2 in the settings menu.

Moshe

To Do (entodoays) wrote :

In actual fact this problem was on 32bit Ubuntu and not 64 bit.

Serhiy Zahoriya (xintx-ua) wrote :

I'm having the same problems with the updated 32bit 13.10.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers